IllegalAlignmentEditException (BioJava-1.5-beta API)
Keywords: org.biojava.bio.alignment.IllegalAlignmentEditException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.alignment
Class IllegalAlignmentEditException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.biojava.bio.BioRuntimeException
                      org.biojava.bio.alignment.IllegalAlignmentEditException

All Implemented Interfaces:
  Serializable

    public class IllegalAlignmentEditException

extends BioRuntimeException

The usual reason for throwing an IllegalAlignmentEditException is that you are trying to shift a group of bases in such a way that it would require deleting bases. Only gaps can be deleted.

Author:
  David Waring
See Also:
  Serialized Form

Constructor Summary
`IllegalAlignmentEditException()` Just make the exception.
`IllegalAlignmentEditException(String message)` Make the exception with a message.
`IllegalAlignmentEditException(Throwable t)`
`IllegalAlignmentEditException(Throwable t, String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalAlignmentEditException

    public IllegalAlignmentEditException()

  Just make the exception.

### IllegalAlignmentEditException

    public IllegalAlignmentEditException(String message)

  Make the exception with a message.

### IllegalAlignmentEditException

    public IllegalAlignmentEditException(Throwable t)

### IllegalAlignmentEditException

    public IllegalAlignmentEditException(Throwable t,
                                         String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD